﻿@model SeasonProgramsInstructorsViewModel
@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Instructor assignments
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div>

        <fieldset>
            <div class="table-responsive">
                <table class="table table-bordered margin-top20">
                    <thead>
                        <tr>
                            <td class="text-bold">Program</td>
                            <td class="text-bold">School</td>
                            <td class="text-bold">Instructors</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-repeat="program in Model.ProgramInstructors" role="row">
                            <td>{{program.ProgramName}}</td>
                            <td>{{program.SchoolName}}</td>
                            <td>
                                <div class="input-control choosen" data-role="input-control">
                                    <div>
                                        <select chosen multiple
                                                ng-model="program.SelectedInstructors"
                                                name="SelectedInstructors" data-placeholder="Select program instructors"
                                                ng-options="obj.Value as obj.Text for obj in Model.AllInstructors"></select>
                                    </div>
                                </div>

                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </fieldset>

    </div>

    <hr />
    <a class="place-left button link large" onclick="window.history.back()">Back</a>
    <a class="success place-right button large" ng-click='save()'>Save</a>
    <div class="clearfix"></div>

</div>

